Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ZeichneWuerfel.Add(Pic0) : ZeichneWuerfel.Add(Pic1)
        ZeichneWuerfel.Add(Pic2) : ZeichneWuerfel.Add(Pic3)
        ZeichneWuerfel.Add(Pic4) : ZeichneWuerfel.Add(Pic5)
        ZeichneWuerfel.Add(Pic6) : ZeichneWuerfel.Add(Pic7)
        ZeichneWuerfel.Add(Pic8) : ZeichneWuerfel.Add(Pic9)
        ZeichneWuerfel.Add(Pic10)
        '--------------------------------
        BildNr.Add(FrmBilder.Pic0) : BildNr.Add(FrmBilder.Pic1)
        BildNr.Add(FrmBilder.Pic2) : BildNr.Add(FrmBilder.Pic3)
        BildNr.Add(FrmBilder.Pic4) : BildNr.Add(FrmBilder.Pic5)
        BildNr.Add(FrmBilder.Pic6)
        '---------------
        CmdBeenden.Text = "B&eenden" : CmdNeu.Text = "&Neue Spielrunde"
        CmdWuerfeln.Text = "&Wuerfeln"
        '----------------------
        'LstZahlen.Visible = True           '### test
        LstZahlen.Visible = False           '### test
        NeueSpielRunde()
    End Sub
    Private Sub CmdWuerfeln_Click(sender As Object, e As EventArgs) Handles CmdWuerfeln.Click
        Timer1.Interval = 30 : Timer1.Start()
        Timer2.Interval = 1000 : Timer2.Start()
        CmdWuerfeln.Enabled = False
        SpieleSound()
    End Sub

    Private Sub CmdBeenden_Click(sender As Object, e As EventArgs) Handles CmdBeenden.Click
        Close()
    End Sub
    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        NeuWuerfeln()
        BilderZuweisen()
    End Sub
    Private Sub Timer2_Tick(sender As Object, e As EventArgs) Handles Timer2.Tick
        Timer1.Stop() : Timer2.Stop()
        My.Computer.Audio.Stop()
        NeuWuerfeln()
        BilderZuweisen()
        CmdWuerfeln.Enabled = True '-- schaltfäche aktivieren
        booGesperrt = False        '-- würfel entsperren
    End Sub
    '------------- eigene subs
    Private Sub BilderZuweisen()
        Dim i As Integer
        For i = 1 To 5
            ' würfel zeichnen
            ZeichneWuerfel(i).Image = BildNr(intAugenZahlen(i)).Image
            ZeichneWuerfel(i + 5).Image = BildNr(intAugenZahlen(i)).Image
        Next
    End Sub
    Private Sub SpieleSound()
        Try
            My.Computer.Audio.Play("RATTLE.WAV", AudioPlayMode.Background)
        Catch ex As Exception
        End Try
    End Sub
    Private Sub NeueSpielRunde()
        Dim i As Integer
        For i = 1 To 5
            '-- zeichnet würfel ohne augenzahlen
            ZeichneWuerfel(i).Visible = True
            ZeichneWuerfel(i).Image = BildNr(0).Image
            '-- verbirgt Würfel
            ZeichneWuerfel(i + 5).Visible = False
        Next
        booGesperrt = True   '-- würfel gesperrt
        LstZahlen.Items.Clear()
    End Sub

    Sub WuerfelVerschieben(intAuswahl As Integer)
        If booGesperrt Then Exit Sub  '--- exit --->
        If intAuswahl <= 5 Then
            ZeichneWuerfel(intAuswahl).Visible = False
            ZeichneWuerfel(intAuswahl + 5).Visible = True
        Else
            ZeichneWuerfel(intAuswahl).Visible = False
            ZeichneWuerfel(intAuswahl - 5).Visible = True
        End If
    End Sub

    Private Sub Pic1_Click(sender As Object, e As EventArgs) Handles Pic1.Click
        WuerfelVerschieben(1)
    End Sub

    Private Sub Pic2_Click(sender As Object, e As EventArgs) Handles Pic2.Click
        WuerfelVerschieben(2)
    End Sub

    Private Sub Pic3_Click(sender As Object, e As EventArgs) Handles Pic3.Click
        WuerfelVerschieben(3)
    End Sub

    Private Sub Pic4_Click(sender As Object, e As EventArgs) Handles Pic4.Click
        WuerfelVerschieben(4)
    End Sub

    Private Sub Pic5_Click(sender As Object, e As EventArgs) Handles Pic5.Click
        WuerfelVerschieben(5)
    End Sub

    Private Sub Pic6_Click(sender As Object, e As EventArgs) Handles Pic6.Click
        WuerfelVerschieben(6)
    End Sub

    Private Sub Pic7_Click(sender As Object, e As EventArgs) Handles Pic7.Click
        WuerfelVerschieben(7)
    End Sub

    Private Sub Pic8_Click(sender As Object, e As EventArgs) Handles Pic8.Click
        WuerfelVerschieben(8)
    End Sub

    Private Sub Pic9_Click(sender As Object, e As EventArgs) Handles Pic9.Click
        WuerfelVerschieben(9)
    End Sub

    Private Sub Pic10_Click(sender As Object, e As EventArgs) Handles Pic10.Click
        WuerfelVerschieben(10)
    End Sub

    Private Sub CmdNeu_Click(sender As Object, e As EventArgs) Handles CmdNeu.Click
        NeueSpielRunde()
    End Sub
End Class
